###############################################################################
# Name: 
#   shot_mask_examples.py
#
# Description: 
#   Functions that demostrate shot mask creation through Python scripting
#
# Author: 
#   Chris Zurbrigg (http://zurbrigg.com)
#
# Copyright (C) 2013 Chris Zurbrigg. All rights reserved.
###############################################################################

from shot_mask import ShotMask

def delete_shot_mask():
    ShotMask.delete()

def create_default_mask():
    ShotMask.restore_defaults()
    ShotMask.create("persp")

def create_bottom_only_mask():

    ShotMask.restore_defaults()

    # Fonts are OS specific. This is a Windows only font string
    ShotMask.set_label_font("Consolas|w400|h-11")

    for i in range(0, 6):
        ShotMask.set_label_text(i, "")

    ShotMask.set_label_text(0, "Shot: Walk Cycle (Blocking)")
    ShotMask.set_label_offset(0, 0.0, -0.0764)
    ShotMask.set_label_text(3, "Name: Chris Zurbrigg")

    ShotMask.set_counter_position(3)
    ShotMask.set_counter_scale(2.0)

    ShotMask.set_border_visible(False, True)
    ShotMask.set_border_scale(1.0, 2.0)
    ShotMask.set_border_color(0.0, 0.0, 0.0, 0.45)

    ShotMask.create("persp")
    
def create_counter_only():
    ShotMask.restore_defaults()
    
    # Fonts are OS specific. This is a Windows only font string
    #ShotMask.set_label_font("Lucida Console|w700|h-11")

    for i in range(0, 6):
        ShotMask.set_label_text(i, "")

    ShotMask.set_label_color(0.0, 0.0, 0.0, 0.0)
    ShotMask.set_counter_position(1)

    ShotMask.set_border_visible(False, False)
    ShotMask.set_border_thickness(0.06)

    ShotMask.create("persp")

def create_position_example():
    ShotMask.restore_defaults()

    for i in range(0, 6):
        ShotMask.set_label_text(i, "Position {0}".format(i))
        ShotMask.set_label_scale(i, 0.8)
        ShotMask.set_label_offset(i, 0, 0.0005)

    ShotMask.set_counter_settings(0, 0, 1, 0, 0, 4)

    ShotMask.create("persp")

    
    